Bug 325531 - yum-cron should use yum-updatesd --oneshot
yum-cron should use yum-updatesd --oneshot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-cron (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Habig, Alec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 16:22 EDT by James Antill
Modified: 2012-11-10 16:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2007-10-09 16:22:51 EDT
Description of problem:
 Newer versions of yum-updatesd have the ability to use a "run once and quit"
mode. yum-cron should depend on the newer yum-updatesd and use this functionality.
 This makes configuration identical, and automatically brings in any
improvements that yum-updatesd has/gets.

Version-Release number of selected component (if applicable):
0:0.5-1.fc8

Additional info:
 Current f8 version of yum-updatesd that has this feature: 1:0.5-2.fc8
Comment 1 Habig, Alec 2007-10-11 12:30:48 EDT
Interesting idea - will go play with the new yum-updatesd and see how well it
works.  I'll admit that one of my first actions on a new Fedora system is "rpm
-e yum-updatesd", so as a result I've not kept on top of its progress.
Comment 2 Tim Niemueller 2007-12-17 19:46:42 EST
This should be made optional though. On some machines we do not run yum-updatesd
because it is a memory hog and we need every byte and clock tick for experiments
running on the machines.
Comment 3 James Antill 2007-12-17 20:19:57 EST
 With this config. yum-updatesd wouldn't run constantly, cron would just run
"yum-updatesd --onshot" instead of it's current approach of calling yum directly.
 The main benefits are that configuration for what gets downloaded etc. is all
in a single place, and the fact that "yum-updatesd-helper ..." is assumed to be
running non-interactivley while "yum ..." is mostly assumed to be interactive
(we can and do follow different code paths based on that).
Comment 4 Bug Zapper 2008-05-13 23:21:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2008-11-29 12:06:49 EST
Maintainer, ping?
Comment 6 James Antill 2008-12-01 10:26:41 EST
Damn, it's been over a year since this was opened.

 I looked at doing it a while ago now, the problem was that there is a lot of configuration for the current yum-cron which would either be ignored if you turned on the "use yum-updatesd" option, or would require writing out new yum-updatesd.conf files based on the yum-cron configuration.
 The other option is to only ever use yum-updatesd --oneshot, and thus. break the old configurations. But I didn't want to just do that, so I put it on the back burner (and then forgot about it).
Comment 7 Bug Zapper 2009-06-09 18:55:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:27:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.